curl -X GET "https://nunu.ai/api/v1/project/your-project-id/shared-steps?page=0&page_size=25" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"id": "ssc_login",
"project_id": "test",
"name": "Login Flow",
"steps_count": 3,
"created_at": "2026-03-01T10:00:00.000000+00:00",
"created_by": "user@example.com"
}
],
"pagination": {
"page": 0,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}
}
Shared Steps
List Shared Steps
Retrieve a list of shared step collections for the authenticated project.
GET
/
project
/
{projectId}
/
shared-steps
curl -X GET "https://nunu.ai/api/v1/project/your-project-id/shared-steps?page=0&page_size=25" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"id": "ssc_login",
"project_id": "test",
"name": "Login Flow",
"steps_count": 3,
"created_at": "2026-03-01T10:00:00.000000+00:00",
"created_by": "user@example.com"
}
],
"pagination": {
"page": 0,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}
}
Authentication: Any authenticated API key
Query Parameters
integer
default:"0"
Page number (0-indexed)
integer
default:"25"
Results per page (1-100)
Response
SharedStepSummary[]
required
Array of shared step summary objects
object
required
Pagination metadata (
page, page_size, total_count, total_pages)SharedStepSummary Object
string
required
Shared step collection ID
string
required
Project the collection belongs to
string
required
Shared step collection name
integer
required
Number of steps in the collection
string
ISO 8601 timestamp when the collection was created
string
Who created the collection
curl -X GET "https://nunu.ai/api/v1/project/your-project-id/shared-steps?page=0&page_size=25" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"id": "ssc_login",
"project_id": "test",
"name": "Login Flow",
"steps_count": 3,
"created_at": "2026-03-01T10:00:00.000000+00:00",
"created_by": "user@example.com"
}
],
"pagination": {
"page": 0,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}
}
Authorizations
API key for authentication
Path Parameters
The project ID. You can copy it from the project settings page or the project URL in the dashboard.
Query Parameters
Page number (0-indexed)
Required range:
x >= 0Results per page (1-100)
Required range:
1 <= x <= 100